void main( void )
{
 int &force;
 &temp1hold = sp(33);
 &temp2hold = sp(34);
 &temp3hold = sp(35);
 &temp4hold = sp(36);

if (get_sprite_with_this_brain(3, &current_sprite) == 0)
 {
  //no more brain 3 (ducks) on the screen.
    say("`9谋杀！！", &current_sprite);

 }



sp_frame_delay(&current_sprite, 30);
 start:

if (get_sprite_with_this_brain(3, &current_sprite) == 0)
 {
  //no more brain 3 (ducks) on the screen.
  &force = random(4, 1);
  if (&force == 1)
  {
   &force = random(4, 1);
   if (&force == 1)
   {
    say("`9小朋友们在哪里啊？", &current_sprite);
   }
   if (&force == 2)
   {
    say("`9我的鸭！！！怎么都死了！！你这混蛋！！", &current_sprite);
   }
   if (&force == 3)
   {
    say("`9滚出去！！", &current_sprite);
   }
   if (&force == 4)
   {
    say("`9这下我拿什么才能吸引市长的女儿呢！！！", &current_sprite);
   }
  }
 goto loser;
 }


  &force = random(4, 1);
  if (&force == 1)
  {
   &force = random(4, 1);
   if (&force == 1)
   {
    say("`9这次的大游行会很精彩！", &current_sprite);
   }
   if (&force == 2)
   {
    say("`9我爱死我的鸭子们了。", &current_sprite);
   }
   if (&force == 3)
   {
    say("`9准备好了吗小朋友们？", &current_sprite);
   }
   if (&force == 4)
   {
    say("`9该我们亮相了！", &current_sprite);
   }
  }
loser:
  move_stop(&current_sprite, 6, 530, 1);
  move_stop(&current_sprite, 4, 100, 1);
//wait(800);
  goto start;
}

void talk( void )
{

if (get_sprite_with_this_brain(3, &current_sprite) == 0)
 {
    say("`9滚开！你可把我的表演给搞砸了！", &current_sprite);
    goto start;
 }



 freeze(1);
 freeze(&current_sprite);
 say_stop("`9你要干什么啊？我必须不停前进！", &current_sprite);
 choice_start()
(&mayor < 6)"问他为什么在跑"
(&mayor < 6)"关于鸭子"
(&mayor > 5)"关于大游行"
 "离开"
 choice_end()

  if (&result == 1)
  {
  say_stop("你干嘛跑来跑去的啊", 1);
  wait(250);
  say_stop("`9我好兴奋啊！！", &current_sprite);
  wait(250);
  say_stop("兴奋什么？", 1);
  wait(250);
  say_stop("`9当然是为了大游行兴奋啦！", &current_sprite);
  wait(250);
  say_stop("`9一定会出彩的！！", &current_sprite);
  }
  if (&result == 2)
  {
  say_stop("这么多鸭子都是干什么的啊？", 1);
  wait(250);
  say_stop("`9哦，他们是我的宠物。我们要参加大游行。", &current_sprite);
  wait(250);
  say_stop("啊 ...", 1);
  wait(250);
  say_stop("`9想看看我们的表演吗？", &current_sprite);
  wait(250);
  say_stop("不，不用了。<急急摆手>", 1);
  wait(250);
  say_stop("`9O.K.我们开始咯 ...", &current_sprite);
  wait(250);
  say_stop("`9准备好了吗？跟我来...", &current_sprite);
  sp_follow(&temp1hold, &current_sprite);
  sp_follow(&temp2hold, &current_sprite);
  sp_follow(&temp3hold, &current_sprite);
  move_stop(&current_sprite, 4, 100, 1);
  move_stop(&current_sprite, 6, 530, 1);
  say("嘿..", 1);
  move_stop(&current_sprite, 4, 100, 1);
  move_stop(&current_sprite, 6, 300, 1);
  say_stop("`9怎么了？", &current_sprite);
  wait(250);
  say_stop("那只怎么了啊？", 1);
  wait(250);
  say_stop("`9哦 ...", &current_sprite);
  wait(250);
  say_stop("`9他有些毛病。", &current_sprite);
  unfreeze(&current_sprite);
  wait(1000);
  sp_dir(1, 2);
  say_stop("瀑布汗 ...", 1);
  }
  if (&result == 3)
  {
  say_stop("那 ... 大游行没看到你啊。", 1);
  wait(250);
  say_stop("`9哦，那个，嘿嘿，是啊，我，啊，我..", &current_sprite);
  wait(250);
  say_stop("`9有一只鸭子病了，所以，我们没法表演啊。", &current_sprite);
  wait(250);
  sp_dir(1, 2);
  wait(1000);
  sp_dir(1, 4);
  say_stop("我相信你。那还真可惜，这么辛苦的排练...", 1);
  wait(300);
  say_stop("`9嘿，没关系， ...", &current_sprite);
  wait(250);
  say_stop("`9我们明年再表演。", &current_sprite);
  wait(250);
  say_stop("啊...", 1);
  unfreeze(&current_sprite);
  wait(500);
  sp_dir(1, 2);
  say_stop("注意一下：明年不要来。", 1);
  }
 unfreeze(1);
 unfreeze(&current_sprite);
 goto start;
}
